Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.temporal
Interface OrdinalReferenceSystem

All Superinterfaces:
  IdentifiedObject, ReferenceSystem, TemporalReferenceSystem

    public interface OrdinalReferenceSystem

extends TemporalReferenceSystem

Provides only the attributes inherited from temporal reference system.

TODO:
  The javadoc doesn't seem accurate., Missing UML annotations.

Field Summary

Fields inherited from interface ReferenceSystem
`DOMAIN_OF_VALIDITY_KEY, SCOPE_KEY, VALID_AREA_KEY`

Fields inherited from interface IdentifiedObject
`ALIAS_KEY, IDENTIFIERS_KEY, NAME_KEY, REMARKS_KEY`

Method Summary
`Collection<OrdinalEra>` | `getOrdinalEraSequence()` Get the set of ordinal eras of which this ordinal reference system consists of.

Methods inherited from interface TemporalReferenceSystem
`getDomainOfValidity, getName`

Methods inherited from interface ReferenceSystem
`getScope, getValidArea`

Methods inherited from interface IdentifiedObject
`getAlias, getIdentifiers, getRemarks, toWKT`

Method Detail

### getOrdinalEraSequence

    @UML(identifier="structure",
         obligation=MANDATORY,
         specification=ISO_19108)
    Collection<OrdinalEra> getOrdinalEraSequence()

  Get the set of ordinal eras of which this ordinal reference system consists of.

  Returns:
    A hierarchically-structured collection of ordinal eras.
  TODO:
    What the structure is exactly?

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.